%define pkg_name        CLASS
%define pkg_version     1.00
%define rpm_pkg_version 1.00
%define rpm_pkg_release 1.n0i.4

Summary:       Alias for __PACKAGE__
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.07}


%description
CLASS and $CLASS are both synonyms for __PACKAGE__. Easier to type.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.00-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.00

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.91-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.91-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Tue Dec 07 2004 Marius Feraru <altblue@n0i.net> 0:0.91-1.n0i.1
- version 0.91
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
